## org.biojava.bio.structure.io.mmcif.model
Class StructRef

    java.lang.Object
      org.biojava.bio.structure.io.mmcif.model.AbstractBean
          org.biojava.bio.structure.io.mmcif.model.StructRef

    public class StructRef

extends AbstractBean

A class to containt the _struct_ref field data

Author:
  Andreas Prlic

Constructor Summary
`StructRef()`

Method Summary
`String` `getBiol_id()`
`String` `getDb_code()`
`String` `getDb_name()`
`String` `getEntity_id()`
`String` `getId()`
`String` `getPdbx_align_begin()`
`String` `getPdbx_db_accession()`
`String` `getPdbx_seq_one_letter_code()`
`void` `setBiol_id(String biol_id)`
`void` `setDb_code(String db_code)`
`void` `setDb_name(String db_name)`
`void` `setEntity_id(String entity_id)`
`void` `setId(String id)`
`void` `setPdbx_align_begin(String pdbx_align_begin)`
`void` `setPdbx_db_accession(String pdbx_db_accession)`
`void` `setPdbx_seq_one_letter_code(String pdbx_seq_one_letter_code)`

Methods inherited from class org.biojava.bio.structure.io.mmcif.model.AbstractBean
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StructRef

    public StructRef()

Method Detail

### getBiol_id

    public String getBiol_id()

### setBiol_id

    public void setBiol_id(String biol_id)

### getId

    public String getId()

### setId

    public void setId(String id)

### getDb_name

    public String getDb_name()

### setDb_name

    public void setDb_name(String db_name)

### getDb_code

    public String getDb_code()

### setDb_code

    public void setDb_code(String db_code)

### getEntity_id

    public String getEntity_id()

### setEntity_id

    public void setEntity_id(String entity_id)

### getPdbx_db_accession

    public String getPdbx_db_accession()

### setPdbx_db_accession

    public void setPdbx_db_accession(String pdbx_db_accession)

### getPdbx_align_begin

    public String getPdbx_align_begin()

### setPdbx_align_begin

    public void setPdbx_align_begin(String pdbx_align_begin)

### getPdbx_seq_one_letter_code

    public String getPdbx_seq_one_letter_code()

### setPdbx_seq_one_letter_code

    public void setPdbx_seq_one_letter_code(String pdbx_seq_one_letter_code)